% Funzione che converte i dati grezzi dei Rain Link 

function val_RL = conv_grezziRL(val_RL,rRL,DCalRLTot,NodoRainLink,FileName)

text = 'conv_grezziRL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

if strcmp(NodoRainLink(1,4),'mm')
else
    ca_RL = DCalRLTot(:,1);
    i = 1;
    % Contatore dei nodi, converte i punti ADC con le calibrazioni in valori
    % angolari
    while   i <= rRL % nodo
        val_RL(:,i) = val_RL(:,i)*ca_RL(i,1);
        i = i+1;
    end
end

text = 'Raw Data of Rain Link converted into physical units correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end